#include <stdio.h>
#include <time.h>
#include <math.h>

// Función para verificar si un número es primo
int es_primo(long long int num) {
    if (num <= 1) return 0;
    for (long long int i = 2; i <= sqrt(num); i++) {
        if (num % i == 0) return 0;  // Si es divisible por i, no es primo
    }
    return 1;  // Es primo
}

// Función que simula una tarea compleja de cálculo
void tarea_larga() {
    long long int count = 0;
    for (long long int i = 2; i < 1000000; i++) {
        if (es_primo(i)) {
            count++;  // Contar los números primos encontrados
        }
    }
    printf("Cantidad de números primos encontrados: %lld\n", count);
}

int main() {
    // Variables para almacenar el tiempo de inicio y fin
    clock_t start, end;
    double tiempo;

    // Capturar el tiempo de inicio
    start = clock();

    // Ejecutar la tarea larga
    tarea_larga();

    // Capturar el tiempo de finalización
    end = clock();

    // Calcular el tiempo transcurrido en segundos
    tiempo = ((double)(end - start)) / CLOCKS_PER_SEC;

    // Mostrar el tiempo de ejecución de la tarea
    printf("El tiempo de ejecución de tarea_larga() es: %.6f segundos\n", tiempo);

    // Mostrar el tiempo en milisegundos para mayor precisión
    printf("El tiempo de ejecución de tarea_larga() en milisegundos es: %.3f ms\n", tiempo * 1000);

    return 0;
}
