#include <iostream>
#include <cmath>
#include <chrono>

// Función para verificar si un número es primo
bool esPrimo(int num) {
    if (num <= 1) {
        return false;
    }
    for (int i = 2; i <= std::sqrt(num); i++) {
        if (num % i == 0) {
            return false; // Si es divisible por i, no es primo
        }
    }
    return true; // Es primo
}

// Función que simula una tarea compleja de cálculo (encontrar primos en un rango grande)
void tareaLarga() {
    int count = 0;
    for (int i = 2; i < 1000000; i++) {
        if (esPrimo(i)) {
            count++; // Contar los números primos encontrados
        }
    }
    std::cout << "Cantidad de números primos encontrados: " << count << std::endl;
}

int main() {
    // Capturar el tiempo de inicio usando el reloj de alta resolución
    auto start = std::chrono::high_resolution_clock::now();

    // Ejecutar la tarea larga
    tareaLarga();

    // Capturar el tiempo de finalización
    auto end = std::chrono::high_resolution_clock::now();

    // Calcular la duración en milisegundos
    auto duration = std::chrono::duration_cast<std::chrono::milliseconds>(end - start);

    // Convertir el tiempo transcurrido en segundos y milisegundos
    double tiempoSegundos = duration.count() / 1000.0;
    double tiempoMilisegundos = duration.count();

    // Mostrar el tiempo de ejecución
    std::cout << "El tiempo de ejecución de tareaLarga() es: " << tiempoSegundos << " segundos" << std::endl;
    std::cout << "El tiempo de ejecución de tareaLarga() en milisegundos es: " << tiempoMilisegundos << " ms" << std::endl;

    return 0;
}
