package main

import (
	"fmt"
	"math"
	"time"
)

// Función para verificar si un número es primo
func esPrimo(num int) bool {
	if num <= 1 {
		return false
	}
	for i := 2; i <= int(math.Sqrt(float64(num))); i++ {
		if num%i == 0 {
			return false // Si es divisible por i, no es primo
		}
	}
	return true // Es primo
}

// Función que simula una tarea compleja de cálculo (encontrar primos en un rango grande)
func tareaLarga() {
	count := 0
	for i := 2; i < 1000000; i++ {
		if esPrimo(i) {
			count++ // Contar los números primos encontrados
		}
	}
	fmt.Printf("Cantidad de números primos encontrados: %d\n", count)
}

func main() {
	// Capturar el tiempo de inicio
	startTime := time.Now()

	// Ejecutar la tarea larga
	tareaLarga()

	// Capturar el tiempo de finalización
	elapsedTime := time.Since(startTime)

	// Convertir el tiempo transcurrido a segundos y milisegundos
	tiempoSegundos := elapsedTime.Seconds()
	tiempoMilisegundos := tiempoSegundos * 1000

	// Mostrar el tiempo de ejecución
	fmt.Printf("El tiempo de ejecución de tareaLarga() es: %.6f segundos\n", tiempoSegundos)
	fmt.Printf("El tiempo de ejecución de tareaLarga() en milisegundos es: %.3f ms\n", tiempoMilisegundos)
}
