public class MedicionTiempo {

    // Función para verificar si un número es primo
    public static boolean esPrimo(long num) {
        if (num <= 1) return false;
        for (long i = 2; i <= Math.sqrt(num); i++) {
            if (num % i == 0) return false;  // Si es divisible por i, no es primo
        }
        return true;  // Es primo
    }

    // Función que simula una tarea compleja de cálculo (encontrar primos en un rango grande)
    public static void tareaLarga() {
        long count = 0;
        for (long i = 2; i < 1000000; i++) {
            if (esPrimo(i)) {
                count++;  // Contar los números primos encontrados
            }
        }
        System.out.println("Cantidad de números primos encontrados: " + count);
    }

    public static void main(String[] args) {
        // Capturar el tiempo de inicio
        long startTime = System.nanoTime();

        // Ejecutar la tarea larga
        tareaLarga();

        // Capturar el tiempo de finalización
        long endTime = System.nanoTime();

        // Calcular el tiempo transcurrido en segundos
        double tiempo = (endTime - startTime) / 1e9;  // Convertir de nanosegundos a segundos

        // Mostrar el tiempo de ejecución
        System.out.printf("El tiempo de ejecución de tareaLarga() es: %.6f segundos%n", tiempo);
        System.out.printf("El tiempo de ejecución de tareaLarga() en milisegundos es: %.3f ms%n", tiempo * 1000);
    }
}
