// Función para verificar si un número es primo
function esPrimo(num) {
    if (num <= 1) return false;
    for (let i = 2; i <= Math.sqrt(num); i++) {
        if (num % i === 0) return false;  // Si es divisible por i, no es primo
    }
    return true;  // Es primo
}

// Función que simula una tarea compleja de cálculo (encontrar primos en un rango grande)
function tareaLarga() {
    let count = 0;
    for (let i = 2; i < 1000000; i++) {
        if (esPrimo(i)) {
            count++;  // Contar los números primos encontrados
        }
    }
    console.log(`Cantidad de números primos encontrados: ${count}`);
}

// Capturar el tiempo de inicio
const startTime = process.hrtime();  // Obtiene el tiempo en formato [segundos, nanosegundos]

// Ejecutar la tarea larga
tareaLarga();

// Capturar el tiempo de finalización
const endTime = process.hrtime(startTime);  // Obtiene la diferencia en [segundos, nanosegundos]

// Calcular el tiempo transcurrido en segundos
const tiempoSegundos = endTime[0] + endTime[1] / 1e9;  // Convertir a segundos
const tiempoMilisegundos = tiempoSegundos * 1000;  // Convertir a milisegundos

// Mostrar el tiempo de ejecución
console.log(`El tiempo de ejecución de tareaLarga() es: ${tiempoSegundos.toFixed(6)} segundos`);
console.log(`El tiempo de ejecución de tareaLarga() en milisegundos es: ${tiempoMilisegundos.toFixed(3)} ms`);
