program MedicionTiempo;

uses
  SysUtils, Math;

{ Función para verificar si un número es primo }
function EsPrimo(num: LongInt): Boolean;
var
  i: LongInt;
begin
  if num <= 1 then
    EsPrimo := False
  else
  begin
    EsPrimo := True;
    for i := 2 to Trunc(Sqrt(num)) do
    begin
      if num mod i = 0 then
      begin
        EsPrimo := False;
        Break;
      end;
    end;
  end;
end;

{ Función que simula una tarea compleja de cálculo (encontrar primos en un rango grande) }
procedure TareaLarga;
var
  i, count: LongInt;
begin
  count := 0;
  for i := 2 to 1000000 do
  begin
    if EsPrimo(i) then
      Inc(count);  { Contar los números primos encontrados }
  end;
  WriteLn('Cantidad de números primos encontrados: ', count);
end;

var
  StartTime, EndTime: TDateTime;
  Tiempo: Double;
begin
  { Capturar el tiempo de inicio }
  StartTime := Now;

  { Ejecutar la tarea larga }
  TareaLarga;

  { Capturar el tiempo de finalización }
  EndTime := Now;

  { Calcular el tiempo transcurrido en segundos }
  Tiempo := (EndTime - StartTime) * 24 * 60 * 60;  { Convertir de días a segundos }

  { Mostrar el tiempo de ejecución }
  WriteLn('El tiempo de ejecución de TareaLarga() es: ', Tiempo:0:6, ' segundos');
  WriteLn('El tiempo de ejecución de TareaLarga() en milisegundos es: ', Tiempo * 1000:0:3, ' ms');
end.
