<?php

// Función para verificar si un número es primo
function esPrimo($num) {
    if ($num <= 1) return false;
    for ($i = 2; $i <= sqrt($num); $i++) {
        if ($num % $i == 0) return false;  // Si es divisible por i, no es primo
    }
    return true;  // Es primo
}

// Función que simula una tarea compleja de cálculo (encontrar primos en un rango grande)
function tareaLarga() {
    $count = 0;
    for ($i = 2; $i < 1000000; $i++) {
        if (esPrimo($i)) {
            $count++;  // Contar los números primos encontrados
        }
    }
    echo "Cantidad de números primos encontrados: " . $count . PHP_EOL;
}

// Capturar el tiempo de inicio
$startTime = microtime(true);

// Ejecutar la tarea larga
tareaLarga();

// Capturar el tiempo de finalización
$endTime = microtime(true);

// Calcular el tiempo transcurrido en segundos
$tiempo = $endTime - $startTime;

// Mostrar el tiempo de ejecución
echo "El tiempo de ejecución de tareaLarga() es: " . number_format($tiempo, 6) . " segundos" . PHP_EOL;
echo "El tiempo de ejecución de tareaLarga() en milisegundos es: " . number_format($tiempo * 1000, 3) . " ms" . PHP_EOL;

?>
