import time
import math

# Función para verificar si un número es primo
def es_primo(num):
    if num <= 1:
        return False
    for i in range(2, int(math.sqrt(num)) + 1):
        if num % i == 0:
            return False  # Si es divisible por i, no es primo
    return True  # Es primo

# Función que simula una tarea compleja de cálculo (encontrar primos en un rango grande)
def tarea_larga():
    count = 0
    for i in range(2, 1000000):
        if es_primo(i):
            count += 1  # Contar los números primos encontrados
    print(f'Cantidad de números primos encontrados: {count}')

# Capturar el tiempo de inicio
start_time = time.time()

# Ejecutar la tarea larga
tarea_larga()

# Capturar el tiempo de finalización
end_time = time.time()

# Calcular el tiempo transcurrido en segundos
tiempo_segundos = end_time - start_time
tiempo_milisegundos = tiempo_segundos * 1000  # Convertir a milisegundos

# Mostrar el tiempo de ejecución
print(f'El tiempo de ejecución de tarea_larga() es: {tiempo_segundos:.6f} segundos')
print(f'El tiempo de ejecución de tarea_larga() en milisegundos es: {tiempo_milisegundos:.3f} ms')
