use std::time::Instant;

// Función para verificar si un número es primo
fn es_primo(num: u64) -> bool {
    if num <= 1 {
        return false;
    }
    for i in 2..=((num as f64).sqrt() as u64) {
        if num % i == 0 {
            return false;  // Si es divisible por i, no es primo
        }
    }
    true  // Es primo
}

// Función que simula una tarea compleja de cálculo (encontrar primos en un rango grande)
fn tarea_larga() {
    let mut count = 0;
    for i in 2..1_000_000 {
        if es_primo(i) {
            count += 1;  // Contar los números primos encontrados
        }
    }
    println!("Cantidad de números primos encontrados: {}", count);
}

fn main() {
    // Capturar el tiempo de inicio
    let start_time = Instant::now();

    // Ejecutar la tarea larga
    tarea_larga();

    // Capturar el tiempo de finalización
    let elapsed_time = start_time.elapsed();

    // Convertir el tiempo transcurrido en segundos y milisegundos
    let tiempo_segundos = elapsed_time.as_secs_f64();
    let tiempo_milisegundos = tiempo_segundos * 1000.0;

    // Mostrar el tiempo de ejecución
    println!("El tiempo de ejecución de tarea_larga() es: {:.6} segundos", tiempo_segundos);
    println!("El tiempo de ejecución de tarea_larga() en milisegundos es: {:.3} ms", tiempo_milisegundos);
}
